Package org.springframework.core.io.support

# Class PropertySourceProcessor

java.lang.Object
org.springframework.core.io.support.PropertySourceProcessor

public class PropertySourceProcessor extends Object
Contribute `property sources` to the `Environment`.

This class is stateful and merges descriptors with the same name in a single `PropertySource` rather than creating dedicated ones.

Since:
  6.0
Author:
  Stephane Nicoll, Sam Brannen, Juergen Hoeller
See Also:
  - `PropertySourceDescriptor`

## Constructor Summary

Constructors
Constructor
Description
`PropertySourceProcessor(ConfigurableEnvironment environment, ResourceLoader resourceLoader)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processPropertySource(PropertySourceDescriptor descriptor)`
Process the specified `PropertySourceDescriptor` against the environment managed by this instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertySourceProcessor

public PropertySourceProcessor(ConfigurableEnvironment environment, ResourceLoader resourceLoader)

## Method Details

### processPropertySource

public void processPropertySource(PropertySourceDescriptor descriptor) throws IOException
Process the specified `PropertySourceDescriptor` against the environment managed by this instance.

Parameters:
  `descriptor` - the descriptor to process
Throws:
  `IOException` - if loading the properties failed